#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# parametry
$ciągPołączenia = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=h:\demo\WPS\B_BazyDanych\BazaKont.mdb;"
$SQL = "Select * from konta order by Nazwisko"

# Otwieranie połączenia
"Łączenie z bazą danych..."
$połączenie = New-Object System.Data.OleDb.OleDbConnection($ciągPołączenia)
$połączenie.open()
"Stan połączenia: " + $połączenie.State

# Zamykanie połączenia
$połączenie.Close()
"Stan połączenia: " + $połączenie.State

# Parametry
$ciągPołączenia = "Data Source=.\SQLEXPRESS;Initial catalog=BazaKont;Integrated Security=True;"
$SQL = "Select * from konta order by Nazwisko"

# Otwieranie połączenia
"Łączenie z bazą danych..."
$połączenie = New-Object System.Data.SqlClient.SqlConnection($ciągPołączenia)
$połączenie.open()
"Stan połączenia: " + $połączenie.State

# Zamykanie połączenia
$połączenie.Close()
"Stan połączenia: " + $połączenie.State

# Parametry
$ciągPołączenia = "Data Source=.\SQLEXPRESS;AttachDbFileName=H:\demo\WPS\B_BazyDanych\sqlexpress\BazaKont.mdf ;Integrated Security=True;"
$SQL = "Select * from konta order by nazwisko"

# Otwieranie połączenia
"Łączenie z bazą danych..."
$połączenie = New-Object System.Data.SqlClient.SqlConnection($ciągPołączenia)
$połączenie.open()
"Stan połączenia: " + $połączenie.State

# Zamykanie połączenia
$połączenie.Close()
"Stan połączenia: " + $połączenie.State

# Parametry
$DOSTAWCA = "System.Data.SqlClient"
$ciągPołączenia = `
"Data Source=.\SQLEXPRESS;AttachDbFileName=" + `
"H:\WPS\B_BazyDanych\sqlexpress\BazaKont.mdf;Integrated Security=True;"
$SQL = "Select * from konta"

# Tworzenie fabryki
$dostawca = [System.Data.Common.DbProviderFactories]::GetFactory($DOSTAWCA)

# Tworzenie obiektu połączenia i określanie parametrów
$połączenie = $dostawca.CreateConnection()
$połączenie.ConnectionString = $ciągPołączenia;

# Otwieranie połączenia
$połączenie.Open();
"Stan połączenia: " + $połączenie.State

# Zamykanie połączenia
$połączenie.Close()
"Stan połączenia: " + $połączenie.State
